<URL: http://bugs.freeciv.org/Ticket/Display.html?id=39849 >

On 27/11/2007, Marko Lindqvist wrote:
>  Now I got this same error in Ubuntu system.
>
>  It seems that user has to define "_GNU_SOURCE" for "__USE_GNU" to be defined.
>
>  No idea how it always gets set at configure time.

 Patch to define it both configure and compile time.


 - ML

--- configure.ac	2007-11-27 20:27:58.000000000 +0200
+++ configure.ac	2007-11-27 20:28:07.000000000 +0200
@@ -164,6 +164,9 @@
 	WITH_EFENCE=1
 )
 
+dnl Check for GNU libc
+AC_GNU_SOURCE
+
 dnl Checks for programs.
 AC_PROG_AWK
 AC_PROG_CC
_______________________________________________
Freeciv-dev mailing list
Freeciv-dev@gna.org
https://mail.gna.org/listinfo/freeciv-dev

Reply via email to